Package org.linphone.core

# Enum Class HashAlgo

java.lang.Object
java.lang.Enum<HashAlgo>
org.linphone.core.HashAlgo

All Implemented Interfaces:
  `Serializable`, `Comparable<HashAlgo>`, `Constable`

public enum HashAlgo extends Enum<HashAlgo>
Enum describing a message digest (hash) algorithm.
MD5 and SHA1 are not defined as they are obsolete and not used

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Sha256`
SHA-256.
`Sha384`
SHA-384.
`Sha512`
SHA-512.
`Undefined`
No hash algorithm defined.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static HashAlgo`
`fromInt(int value)`
`protected static HashAlgo[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(HashAlgo[] values)`
`static HashAlgo`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HashAlgo[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Undefined

public static final HashAlgo Undefined
No hash algorithm defined.

### Sha256

public static final HashAlgo Sha256
SHA-256.

### Sha384

public static final HashAlgo Sha384
SHA-384.

### Sha512

public static final HashAlgo Sha512
SHA-512.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static HashAlgo[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HashAlgo valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static HashAlgo fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static HashAlgo[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(HashAlgo[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()